#!/usr/bin/env bash

set -euo pipefail

app=$1

# shellcheck disable=SC1090
. "$(dirname "$0")/flux-version-check.sh"

# Check if the secrets for the app already exist in the cluster, and if not,
# generate them and add them to the cluster.
python "$(dirname "$0")/generate_secrets.py" "$app"

# This kustomization's only purpose is to add the kustomization that is in the
# flux2/cluster/optional/$app folder. After this kustomization is applied
# an `add-$app` kustomization will be present on the cluster, as well as a
# `$app` kustomization that adds the actual app
flux create kustomization "add-${app}" \
  --source=GitRepository/openappstack \
  --path="./flux2/cluster/optional/${app}" \
  --prune=true \
  --interval=1h
